---
updatedAt: 2026-05-29T13:25:42.000Z
agentTools:
  projectIndex: https://developer.eftcorp.com/llms.txt
---

# Update a product

Updates the fields of an existing tenant-level product. The productMode header can control update behaviour for specific product types.

# OpenAPI definition

```json
{
  "servers": [
    {
      "url": "https://eclipse-java-sandbox.ukheshe.rocks",
      "description": "Eclipse sandbox environment"
    },
    {
      "url": "https://ukheshe.live",
      "description": "Eclipse production environment"
    },
    {
      "url": "https://eclipse-java-develop.ukheshe.rocks",
      "description": "Eclipse development environment"
    },
    {
      "url": "https://zw.ukheshe.live",
      "description": "Zim Eclipse production environment"
    }
  ],
  "openapi": "3.1.0",
  "components": {
    "schemas": {
      "Avp": {
        "description": "An attribute/value pair for providing weakly typed data on various messages",
        "type": "object",
        "required": [
          "att",
          "val"
        ],
        "properties": {
          "att": {
            "type": "string",
            "pattern": "\\S"
          },
          "val": {
            "type": "string"
          }
        }
      },
      "EclipseProduct": {
        "type": "object",
        "properties": {
          "alertMessage": {
            "type": "string"
          },
          "base64EncodedImage": {
            "type": "string"
          },
          "category": {
            "type": "string"
          },
          "configuration": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Avp"
            }
          },
          "created": {
            "type": "string",
            "format": "date-time",
            "examples": [
              "2022-03-10T12:15:50-04:00"
            ]
          },
          "currency": {
            "type": "string"
          },
          "description": {
            "type": "string",
            "pattern": "(?s)^(?:[\\t\\r\\n]|[^\\p{C}<>])*$"
          },
          "externalId": {
            "type": "string"
          },
          "itemCount": {
            "type": "integer",
            "format": "int64"
          },
          "lastModified": {
            "type": "string",
            "format": "date-time",
            "examples": [
              "2022-03-10T12:15:50-04:00"
            ]
          },
          "lowStockCount": {
            "type": "integer",
            "format": "int64"
          },
          "mediaType": {
            "type": "string"
          },
          "mode": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "organisationId": {
            "type": "integer",
            "format": "int64"
          },
          "partnerName": {
            "type": "string"
          },
          "pinnedProduct": {
            "type": "boolean"
          },
          "pricingData": {
            "$ref": "#/components/schemas/EclipseProductPricing"
          },
          "productId": {
            "type": "integer",
            "format": "int64"
          },
          "sku": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "supplierId": {
            "type": "integer",
            "format": "int64"
          },
          "taxType": {
            "$ref": "#/components/schemas/EclipseTaxType"
          },
          "tenantId": {
            "type": "integer",
            "format": "int64"
          },
          "type": {
            "type": "string"
          },
          "unitPriceExcl": {
            "type": "number"
          },
          "version": {
            "type": "integer",
            "format": "int32"
          }
        },
        "required": [
          "organisationId",
          "tenantId"
        ]
      },
      "EclipseProductPricing": {
        "type": "object",
        "properties": {
          "billInAdvanceAtBillRun": {
            "type": "boolean"
          },
          "billInAdvanceImmediately": {
            "type": "boolean"
          },
          "priceIsPerDay": {
            "type": "boolean"
          },
          "priceIsPerHour": {
            "type": "boolean"
          },
          "priceIsPerMinute": {
            "type": "boolean"
          },
          "priceIsPerMonth": {
            "type": "boolean"
          },
          "priceIsPerSecond": {
            "type": "boolean"
          },
          "priceIsPerWeek": {
            "type": "boolean"
          },
          "priceIsPerYear": {
            "type": "boolean"
          },
          "prorata": {
            "type": "boolean"
          }
        }
      },
      "EclipseTaxType": {
        "type": "string",
        "enum": [
          "VAT"
        ]
      },
      "ExceptionData": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "environment": {
            "type": "string"
          },
          "info": {
            "type": "object",
            "additionalProperties": {}
          },
          "severity": {
            "$ref": "#/components/schemas/ExceptionSeverity"
          },
          "spanId": {
            "type": "string"
          },
          "stackTrace": {
            "type": "string"
          },
          "traceId": {
            "type": "string"
          },
          "type": {
            "$ref": "#/components/schemas/ExceptionType"
          }
        }
      },
      "ExceptionSeverity": {
        "type": "string",
        "enum": [
          "CRITICAL",
          "HIGH",
          "INFO",
          "LOW",
          "MEDIUM"
        ]
      },
      "ExceptionType": {
        "type": "string",
        "enum": [
          "BUSINESS",
          "SYSTEM"
        ]
      },
      "UpdatedEclipseProduct": {
        "type": "object",
        "required": [
          "productId",
          "tenantId"
        ],
        "properties": {
          "base64EncodedImage": {
            "type": "string"
          },
          "category": {
            "type": "string"
          },
          "configuration": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Avp"
            }
          },
          "created": {
            "type": "string",
            "format": "date-time",
            "examples": [
              "2022-03-10T12:15:50-04:00"
            ]
          },
          "currency": {
            "type": "string"
          },
          "description": {
            "type": "string",
            "pattern": "(?s)^(?:[\\t\\r\\n]|[^\\p{C}<>])*$",
            "minLength": 0,
            "maxLength": 2000
          },
          "externalId": {
            "type": "string"
          },
          "lastModified": {
            "type": "string",
            "format": "date-time",
            "examples": [
              "2022-03-10T12:15:50-04:00"
            ]
          },
          "lowStockCount": {
            "type": "integer",
            "format": "int64"
          },
          "mediaType": {
            "type": "string"
          },
          "mode": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "organisationId": {
            "type": "integer",
            "format": "int64"
          },
          "partnerName": {
            "type": "string"
          },
          "pinnedProduct": {
            "type": "boolean"
          },
          "pricingData": {
            "$ref": "#/components/schemas/EclipseProductPricing"
          },
          "productId": {
            "type": "integer",
            "format": "int64"
          },
          "sku": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "supplierId": {
            "type": "integer",
            "format": "int64"
          },
          "taxType": {
            "$ref": "#/components/schemas/EclipseTaxType"
          },
          "tenantId": {
            "type": "integer",
            "format": "int64"
          },
          "type": {
            "type": "string"
          },
          "unitPriceExcl": {
            "type": "number"
          },
          "version": {
            "type": "integer",
            "format": "int32"
          }
        }
      }
    },
    "securitySchemes": {
      "JWTBearerAuthorisation": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  },
  "info": {
    "description": "A RESTful API using JSON as the data transfer model, covering all tenant-facing functionality in the Eclipse payments platform.",
    "title": "Eclipse ReST API",
    "version": "3.0.0"
  },
  "tags": [
    {
      "name": "x) Accounts",
      "description": "Manages tenant products and product items, including stock, batches, and supplier associations."
    }
  ],
  "paths": {
    "/eclipse-conductor/rest/v1/tenants/{tenantId}/products/{productId}": {
      "put": {
        "summary": "Update a product",
        "description": "Updates the fields of an existing tenant-level product. The productMode header can control update behaviour for specific product types.",
        "tags": [
          "x) Accounts"
        ],
        "parameters": [
          {
            "name": "tenantId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "productId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "productMode",
            "in": "header",
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdatedEclipseProduct"
              }
            }
          },
          "required": true
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/EclipseProduct"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request"
          },
          "404": {
            "description": "Invalid path parameter",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ExceptionData"
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/ExceptionData"
                  }
                }
              }
            }
          }
        },
        "security": [
          {
            "JWTBearerAuthorisation": []
          }
        ]
      }
    }
  }
}
```